# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
#include "phonemes.h"
#include "control.h"
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
return AA;
break;
case 2:
return AE;
break;
case 3:
return AH;
break;
case 4:
return AO;
break;
case 5:
return AW;
break;
case 6:
return AY;
break;
case 7:
return AXR;
break;
case 8:
return AX;
break;
case 9:
return EH;
break;
case 10:
return EY;
break;
case 11:
return EL;
break;
case 12:
     return ER;
break;
case 13:
return EM;
break;
case 14:
return EN;
break;
case 15:
return EXR;
break;
case 16:
return IH;
break;
case 17:
return IY;
break;
case 18:
return IXR;
break;
case 19:
return IX;
break;
case 20:
return OW;
break;
case 21:
return OY;
break;
case 22:
return OXR;
break;
case 23:
return UH;
break;
case 24:
return UW;
break;
case 25:
return UXR;
break;
case 26:
return YU;
break;
case 27:
return YY;
break;
case 28:
return HH;
break;
case 29:
return HX;
break;
case 30:
return LL;
break;
case 31:
return LX;
break;
case 32:
return RR;
break;
case 33:
return RX;
break;
case 34:
return WW;
break;
case 35:
return WH;
break;
case 36:
return MM;
break;
case 37:
return NN;
break;
case 38:
return NG;
break;
case 39:
return DH;
break;
case 40:
return DD;
break;
case 41:
return DX;
break;
case 42:
return FF;
break;
case 43:
return SS;
break;
case 44:
return SH;
break;
case 45:
return TH;
break;
case 46:
return TT;
break;
case 47:
return TQ;
break;
case 48:
return VV;
break;
case 49:
return ZZ;
break;
case 50:
return ZH;
break;
case 51:
return BB;
break;
case 52:
return GG;
break;
case 53:
return GP;
break;
case 54:
return KK;
break;
case 55:
return KP;
break;
case 56:
return PP;
break;
case 57:
return CH;
break;
case 58:
return JJ;
break;
case 59:
  return PAUSE;
break;
case 60:
return SYLLABLE_MARKER;
break;
case 61:
return PLAY_AGAIN;
break;
case 62:
   return SAVE_MOST_RECENT;
break;
case 63:
return QUIT;
break;
case 64:
return WORD_BREAK;
break;
case 65:
return END_OF_LIST;
break;
case 66:
      return UNKNOWN_PHONEME;
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */



















int yyvstop[] = {
0,

66,
0,

64,
66,
0,

65,
0,

60,
66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

66,
0,

1,
0,

2,
0,

3,
0,

4,
0,

5,
0,

8,
0,

6,
0,

51,
0,

57,
0,

40,
0,

39,
0,

41,
0,

9,
0,

11,
0,

13,
0,

14,
0,

12,
0,

10,
0,

42,
0,

52,
0,

53,
0,

28,
0,

29,
0,

16,
0,

19,
0,

17,
0,

58,
0,

54,
0,

55,
0,

30,
0,

31,
0,

36,
0,

38,
0,

37,
0,

20,
0,

21,
0,

56,
0,

32,
0,

33,
0,

44,
0,

43,
0,

45,
0,

47,
0,

46,
0,

23,
0,

24,
0,

48,
0,

35,
0,

34,
0,

26,
0,

27,
0,

50,
0,

49,
0,

-7,
0,

15,
0,

-18,
0,

22,
0,

25,
0,

7,
0,

18,
0,

63,
0,

62,
0,

59,
0,

61,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
1,6,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	2,6,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,7,	1,8,	
1,9,	1,10,	1,11,	1,12,	
1,13,	1,14,	1,15,	1,16,	
1,17,	1,18,	1,19,	1,20,	
1,21,	1,22,	1,23,	1,24,	
1,25,	1,26,	1,27,	1,28,	
1,29,	8,39,	1,30,	1,31,	
2,7,	2,8,	2,9,	2,10,	
2,11,	2,12,	2,13,	2,14,	
2,15,	2,16,	2,17,	2,18,	
2,19,	2,20,	2,21,	2,22,	
2,23,	9,40,	2,25,	2,26,	
2,27,	2,28,	2,29,	7,32,	
2,30,	2,31,	12,51,	7,33,	
10,41,	16,59,	7,34,	18,62,	
10,42,	13,52,	11,44,	19,64,	
14,54,	7,35,	11,45,	11,46,	
11,47,	15,56,	13,53,	18,63,	
11,48,	7,36,	7,37,	7,38,	
10,43,	17,60,	11,49,	11,50,	
14,55,	20,65,	17,61,	22,70,	
23,72,	15,57,	15,58,	24,73,	
20,66,	21,67,	21,68,	21,69,	
25,76,	26,79,	28,85,	31,90,	
27,82,	37,92,	22,71,	25,77,	
24,74,	29,86,	26,80,	30,88,	
49,93,	26,81,	24,75,	30,89,	
57,94,	68,95,	25,78,	27,83,	
27,84,	31,91,	70,96,	72,97,	
29,87,	73,98,	76,99,	84,100,	
92,101,	96,103,	94,102,	97,104,	
98,105,	99,106,	103,107,	105,108,	
92,101,	92,101,	94,102,	94,102,	
108,109,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	92,0,	0,0,	94,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-27,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+50,	0,		yyvstop+11,
yycrank+23,	0,		yyvstop+13,
yycrank+37,	0,		yyvstop+15,
yycrank+52,	0,		yyvstop+17,
yycrank+54,	0,		yyvstop+19,
yycrank+48,	0,		yyvstop+21,
yycrank+54,	0,		yyvstop+23,
yycrank+56,	0,		yyvstop+25,
yycrank+61,	0,		yyvstop+27,
yycrank+47,	0,		yyvstop+29,
yycrank+66,	0,		yyvstop+31,
yycrank+47,	0,		yyvstop+33,
yycrank+50,	0,		yyvstop+35,
yycrank+74,	0,		yyvstop+37,
yycrank+66,	0,		yyvstop+39,
yycrank+82,	0,		yyvstop+41,
yycrank+63,	0,		yyvstop+43,
yycrank+82,	0,		yyvstop+45,
yycrank+91,	0,		yyvstop+47,
yycrank+85,	0,		yyvstop+49,
yycrank+88,	0,		yyvstop+51,
yycrank+72,	0,		yyvstop+53,
yycrank+93,	0,		yyvstop+55,
yycrank+82,	0,		yyvstop+57,
yycrank+87,	0,		yyvstop+59,
yycrank+0,	0,		yyvstop+61,
yycrank+0,	0,		yyvstop+63,
yycrank+0,	0,		yyvstop+65,
yycrank+0,	0,		yyvstop+67,
yycrank+0,	0,		yyvstop+69,
yycrank+79,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+73,
yycrank+0,	0,		yyvstop+75,
yycrank+0,	0,		yyvstop+77,
yycrank+0,	0,		yyvstop+79,
yycrank+0,	0,		yyvstop+81,
yycrank+0,	0,		yyvstop+83,
yycrank+0,	0,		yyvstop+85,
yycrank+0,	0,		yyvstop+87,
yycrank+0,	0,		yyvstop+89,
yycrank+0,	0,		yyvstop+91,
yycrank+0,	0,		yyvstop+93,
yycrank+86,	0,		0,	
yycrank+0,	0,		yyvstop+95,
yycrank+0,	0,		yyvstop+97,
yycrank+0,	0,		yyvstop+99,
yycrank+0,	0,		yyvstop+101,
yycrank+0,	0,		yyvstop+103,
yycrank+0,	0,		yyvstop+105,
yycrank+0,	0,		yyvstop+107,
yycrank+90,	0,		yyvstop+109,
yycrank+0,	0,		yyvstop+111,
yycrank+0,	0,		yyvstop+113,
yycrank+0,	0,		yyvstop+115,
yycrank+0,	0,		yyvstop+117,
yycrank+0,	0,		yyvstop+119,
yycrank+0,	0,		yyvstop+121,
yycrank+0,	0,		yyvstop+123,
yycrank+0,	0,		yyvstop+125,
yycrank+0,	0,		yyvstop+127,
yycrank+0,	0,		yyvstop+129,
yycrank+91,	0,		0,	
yycrank+0,	0,		yyvstop+131,
yycrank+93,	0,		0,	
yycrank+0,	0,		yyvstop+133,
yycrank+106,	0,		0,	
yycrank+101,	0,		0,	
yycrank+0,	0,		yyvstop+135,
yycrank+0,	0,		yyvstop+137,
yycrank+96,	0,		0,	
yycrank+0,	0,		yyvstop+139,
yycrank+0,	0,		yyvstop+141,
yycrank+0,	0,		yyvstop+143,
yycrank+0,	0,		yyvstop+145,
yycrank+0,	0,		yyvstop+147,
yycrank+0,	0,		yyvstop+149,
yycrank+0,	0,		yyvstop+151,
yycrank+101,	0,		0,	
yycrank+0,	0,		yyvstop+153,
yycrank+0,	0,		yyvstop+155,
yycrank+0,	0,		yyvstop+157,
yycrank+0,	0,		yyvstop+159,
yycrank+0,	0,		yyvstop+161,
yycrank+0,	0,		yyvstop+163,
yycrank+0,	0,		yyvstop+165,
yycrank+-215,	0,		yyvstop+167,
yycrank+0,	0,		yyvstop+169,
yycrank+-217,	0,		yyvstop+171,
yycrank+0,	0,		yyvstop+173,
yycrank+102,	0,		0,	
yycrank+103,	0,		0,	
yycrank+119,	0,		0,	
yycrank+120,	0,		0,	
yycrank+0,	0,		yyvstop+175,
yycrank+0,	0,		yyvstop+177,
yycrank+0,	0,		yyvstop+179,
yycrank+121,	0,		0,	
yycrank+0,	0,		yyvstop+181,
yycrank+126,	0,		0,	
yycrank+0,	0,		yyvstop+183,
yycrank+0,	0,		yyvstop+185,
yycrank+112,	0,		0,	
yycrank+0,	0,		yyvstop+187,
0,	0,	0};
struct yywork *yytop = yycrank+331;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'r' ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,1,
0,0,0,0,0,0,0,0,
0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
